Sage 50 System Requirements 2014

 

As a basic overview only of the system requirements needed for Sage 50, please see below minimum expectations for the 2014 version. It is recommended you contact ibex for full information on these requirements prior to the purchase of the Sage product to ensure you are set for installation of a software solution that will meet your needs – and work with already existing processes.

 

Supported operating systems

 

All 32-bit or 64-bit variants of the following operating systems:

 

Note: Please ensure all the latest Microsoft Service Packs and Updates are installed.

 

Windows 8.1
Windows 8
Windows 7
Windows Vista
Windows XP
Windows Server 2012 *
Windows Server 212 R2*
Windows Server 2008 *
Windows Server 2008 R2 *
Windows Server 2003 *

 

* Running software like Microsoft Exchange or Microsoft SQL Server on a Small Business Server will reduce the performance of Sage over a network. We are currently investigating the cause of this issue.

 

Windows Small Business Server 2011 has been removed from the system requirements for Sage 50 Accounts 2014.

 

Hardware

 

2 GB RAM
2GHz processor or higher.
2GB of free disk space.
1Gbps network (100mbps minimum).
Screen resolution of 1024 x 768.

 

Note: Performance is improved with higher specification PCs and networks. A Netbook PC, running an entry level operating system, will require less advanced hardware. Sage 50 Accounts 2014 uses the Sage System Checker when you install the software. This checks that your PC meets the recommended requirements for Sage 50 Accounts 2014.

 

Office integration


Office 2013 32-bit edition
Office 2010 32-bit edition*
Office 2007
Office 2003

 

* Not compatible with Office 2010 32-bit starter edition.
Internet Connection


A broadband Internet connection with a minimum download speed of 2mbps is essential to keep your Sage software up to date, and to take full advantage of its features.
Antivirus software

 

To optimise performance your antivirus software should be configured to exclude Sage files from its checking routines.
Internet browser

 

Internet Explorer version 7 or above.

 

*The specifications detailed are for information only. Actual system requirements may vary.

 

For further information, please contact ibex.

 




Keep me informed
* = required field